Skip to main content
PUT
Update audience and update audience customers

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

audienceId
string
required

Body

name
string
required

The name of the audience. It should be unique.

Maximum string length: 255
authorName
string
required

Name of the user who updates the audience.

Maximum string length: 64
description
string | null

Full description of the audience. Optional.

destinations
string[] | null

Collection of destinations the audience is applicable for (can be used in) It is the list of products which should have access to the audience.

state
enum<string>
Available options:
Draft,
Published,
Archived
membersToAddUrl
string | null

Link on the file which contains the list of the customers to add.

membersToAdd
string[] | null

The list of customers to add to the audience. Max length of member identifier is 64 symbols.

isPrivate
boolean

If true - the audience can be used only by the author.

source
string | null

Creation source of the audience (the list is defined in appsettings and infrastructure config)

Maximum string length: 255
metadata
object | null

Represents dynamic key-value pairs for storing audience properties.

membersToRemove
string[] | null

The list of customers to remove out from the audience. Max length of member identifier is 64 symbols.

membersReplaceAll
boolean

If true - all members will be replaced by the new list of members. If MembersToAddUrl is provided - this flag must be True.

Response

OK

audienceId
string | null
audienceExecutionId
string | null
audienceName
string | null
Last modified on August 10, 2026